/* Sistemas Integrados TECNISA
   Servios

Nome: CUSTO_PROD_COMP

Descrio:
   Traz o custo da composio do produto
Criao:
28/07/05 - Welbert G. Moitinha
Converso:
31/08/05 - Hudson Magno*/

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'CUSTO_PROD_COMP' AND
                 TYPE = 'FN' 		      AND
	              U.UID = O.UID           AND
	              U.NAME = USER)
DROP FUNCTION CUSTO_PROD_COMP
GO


CREATE FUNCTION CUSTO_PROD_COMP( @P_CDFILIAL     VARCHAR(4),
                                 @P_CDPRODUTO    VARCHAR(10),
                                 @P_INTIPOCUSTO  INTEGER,
                                 @P_CDLOJA       VARCHAR(10),
                                 @P_DTDATAREF    DATETIME) RETURNS FLOAT
AS
BEGIN
   DECLARE @V_CUSTO NUMERIC(10,5);

   SELECT @V_CUSTO = TEKNISA.CUSTO_PRODUTO(@P_CDFILIAL, @P_CDPRODUTO, @P_INTIPOCUSTO, @P_DTDATAREF, getdate())
   FROM PARAMGERAL 

   RETURN(@V_CUSTO);
END
GO

-- VERSAO --
EXEC ATUVEROBJ 'CUSTO_PROD_COMP','5.05.004';
GO


